:root{
    --main-background-color: #fff;
    --dark-background-color: #125eab;
    --dark-background-text-color: #ffffff;
    --light-background-color: #b7e1e9;
    --light-background-text-color: #125eab;
    --table-border-color: #ccc;
}

body {
    background: var(--main-background-color);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    height: 100vh;
    flex-direction: column;
}

*{
    font-family: "Open Sans",sans-serif;
    box-sizing: padding-box;
}
form {
    width: auto;
    border: 3px solid var(--dark-background-color);
    padding: 20px;
    background: var(--main-background-color);
    border-radius: 20px;
}
h2 {
    text-align: center;
    margin-bottom: 40px;
}
input {
    display: block;
    border: 2px solid #ccc;
    min-width: 150px;    
    padding: 10px;
    margin: 10px 10px;
    border-radius: 5px;
}
label {
    color: #888;
    font-size: 18px;
    padding: 10px;
    min-width: 200px;
}
button {
    float: right;
    background: var(--dark-background-color);
    padding: 10px 15px;
    color: var(--dark-background-text-color);
    border-radius: 5px;
    margin-right: 10px;
    border: none;
}

button:hover{
    background-color: var(--light-background-color);
    color: var(--light-background-text-color);
}

button:hover a {
    color: var(--light-background-text-color);
}

.error {
   background: #F2DEDE;
   color: #0c0101;
   padding: 10px;
   width: 95%;
   border-radius: 5px;
   margin: 20px auto;
}
h1 {
    text-align: center;
    color: rgb(134, 3, 3);
}
a {    
    padding: 5px;   
}
a:hover{
    opacity: .7;
}

.content {
    display:flex;
    flex-direction: row;
}

.content-grid-info {
    display:grid;
    grid-template-columns: 250px 250px;    
}

.content-grid-orders {
    display:grid;
    grid-template-columns: 500px 500px;    
}

.content-grid-invoices {
    display:grid;
    grid-template-columns: 500px 500px;    
}


nav {
    min-width: 250px;
    margin-right: 20px;
}

nav li {
    list-style: none;
    background-color: var(--dark-background-color);
    color: var(--dark-background-text-color);
    border-radius: 10px;
    padding: 15px;
    margin: 10px;
    font-weight: bold;
    min-width: 150px;
}

nav li a {
    color: var(--dark-background-text-color);
}

nav li.active {
    background-color: var(--light-background-color);
    color: var(--light-background-text-color);
}

nav li.active a {
    background-color: var(--light-background-color);
    color: var(--light-background-text-color);
}

#masthead {
    display: flex;
    flex-flow: column wrap;
    align-content: center;
}

#frmCustomerPortalLogin {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    width: auto;
}

#frmCustomerPortalLogin .fieldgroup {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
}

#order-search, #invoice-search {
    display: flex;
    flex-flow: row  wrap;
    margin-bottom: 25px;
}

a.sort-button {
    background-color: var(--light-background-color);
    color: var(--light-background-text-color);
    border-radius: 10px;
    padding: 15px;
    margin: 10px;
    font-weight: bold;
}

.portal-table tr:nth-of-type(1)  { 
    background-color: var(--dark-background-color);
    color: var(--dark-background-text-color);
}

aside {
    margin: 25px;
}